Bug 522362 - KMS:ES1000 Fedora12 Alpha installation shows blank screen while booting for installation
Summary: KMS:ES1000 Fedora12 Alpha installation shows blank screen while booting for i...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: x86_64
OS: All
low
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 455646 588495
TreeView+ depends on / blocked
 
Reported: 2009-09-10 07:22 UTC by IBM Bug Proxy
Modified: 2018-04-11 11:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 588495 (view as bug list)
Environment:
Last Closed: 2010-12-05 06:26:53 UTC


Attachments (Terms of Use)
/tmp/X.log in case of using radeon.modeset=0 (55.26 KB, text/plain)
2009-09-10 07:23 UTC, IBM Bug Proxy
no flags Details
/tmp/syslog (44.04 KB, text/plain)
2009-09-10 07:23 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 55864 None None None Never

Description IBM Bug Proxy 2009-09-10 07:22:36 UTC
=Comment: #0=================================================
SANTWANA SAMANTRAY <santwana.samantray@in.ibm.com> - 
While installing Fedora12 Alpha on x3550 server, the screen became blank just after booting initrd
and vmlinuz for installation.

Kernel Version:- 2.6.31-0.125.4.2.rc5.git2.fc12

Passing nomodeset, to the grub while booting for installation, doesn't help.

Adding "radeon.modeset=0", brings up the display for installation. After the installation is
completed, "radeon.modeset=0" also doesn't help in bringing up the console, for post installation.

So, after installation is over, unable to boot into the system.
=Comment: #2=================================================
SHARYATHI NAGESH <sharyath@in.ibm.com> - 
Santwana can you provide the log information that Chandru mentioned
=Comment: #3=================================================
Chandru S <> - 
This seems to be an issue on other machines as well with 'radeon' video driver.  I tried dvd based
installation on x366 and x3550 and the display goes blank just after booting vmlinuz and initrd. 
Using 'radeon.modeset=0' on the kernel command line does help on both these machines in providing a
display for installation.
Prior to the screen going blank, there is no shell yet through which we could copy the log files and
after the blank screen none of the 'ctrl-alt-fn' keys have any effect on the console. I will attach
the log files for the case where 'radeon.modeset=0' was used.
=Comment: #4=================================================
Chandru S <> - 

/tmp/X.log in case of using radeon.modeset=0


=Comment: #5=================================================
Chandru S <> - 

/tmp/syslog

Comment 1 IBM Bug Proxy 2009-09-10 07:23:10 UTC
Created attachment 360448 [details]
/tmp/X.log in case of using radeon.modeset=0

Comment 2 IBM Bug Proxy 2009-09-10 07:23:17 UTC
Created attachment 360449 [details]
/tmp/syslog

Comment 3 Till Maas 2009-09-11 16:18:06 UTC
The radeon driver is in this package: xorg-x11-drv-ati there I changed the component. radeontool is only a helper application for some mobile(?) radeon cards to e.g. disable the blacklight.

You should probably also provide the version of the xorg-x11-drv-ati package, you find it in the output of: rpm -qi xorg-x11-drv-ati

Comment 4 IBM Bug Proxy 2009-09-14 07:30:54 UTC
------- Comment From  2009-09-14 03:20 EDT-------
> You should probably also provide the version of the xorg-x11-drv-ati package,
> you find it in the output of: rpm -qi xorg-x11-drv-ati
The package on the dvd-iso image has the following version...
xorg-x11-drv-ati-6.12.2-21.fc12.x86_64.rpm

Comment 5 Matěj Cepl 2009-11-05 18:37:46 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 6 IBM Bug Proxy 2009-11-12 09:51:15 UTC
------- Comment From santwana.samantray@in.ibm.com 2009-11-12 04:43 EDT-------
This bug is still reproducible in the latest F12 rawhide release(k.v- 2.6.31.5-127.fc12.x86_64). While installing Fedora12 rawhide, the screen becomes blank just after booting initrd and vmlinuz .

Adding "radeon.modeset=0", brings up the display for installation.

Below is the output of rpm -qi xorg-x11-drv-ati
Name        : xorg-x11-drv-ati             Relocations: (not relocatable)
Version     : 6.13.0                            Vendor: Fedora Project
Release     : 0.10.20091006git457646d73.fc12   Build Date: Friday 09 October 2009 10:50:47 AM IST
Install Date: Wednesday 11 November 2009 04:39:43 PM IST      Build Host: x86-7.fedora.phx.redhat.com
Group       : User Interface/X Hardware Support   Source RPM: xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.src.rpm
Size        : 1178471                          License: MIT
Signature   : RSA/8, Tuesday 27 October 2009 07:06:06 AM IST, Key ID 9d1cc34857bbccba
Packager    : Fedora Project
URL         : http://www.x.org
Summary   : Xorg X11 ati video driver
Description : X.Org X11 ati video driver.

Regards,
Santwana

Comment 7 Bug Zapper 2009-11-16 12:10:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 IBM Bug Proxy 2010-02-05 11:51:49 UTC
------- Comment From sharyath@in.ibm.com 2010-02-05 06:47 EDT-------
Fedora team
Any update on this issue
Thanks

Comment 9 IBM Bug Proxy 2010-02-05 12:20:59 UTC
------- Comment From sharyath@in.ibm.com 2010-02-05 07:14 EDT-------
Fedora Team
I found this ATI bug: http://ati.cchtml.com/show_bug.cgi?id=1696
It looks like Fedora 12 has issues with ATI radeon hd 4650 as well.
It may be good idea to raise a new bug to track issues with ATI radeon ES1000 driver as well (driver in x3550)
Let me know your thoughts
Thank you

Comment 11 IBM Bug Proxy 2010-03-26 11:12:37 UTC
------- Comment From sharyath@in.ibm.com 2010-03-26 07:03 EDT-------
Any update here ?

Comment 12 Bug Zapper 2010-11-04 10:07:34 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-05 06:26:53 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.